import { ComponentDetails, FancyReactSettings, IFileSystem, IFormatter, IIDE, Project } from "./types";
export declare const getSettings: (ide: IIDE) => FancyReactSettings;
export declare const getProject: (settings: FancyReactSettings) => Project;
export declare class Formatter implements IFormatter {
    private ide;
    private linter;
    constructor(project: Project, ide: IIDE);
    format(text: any, fileName: any): any;
}
export declare class FileSystem implements IFileSystem {
    createComponent(component: ComponentDetails): void;
    ensureFolderExists(pathToCheck: string): void;
    ensureFileExists(pathToCheck: string): void;
}
export declare const fancyReactSettings: string[];
export * from './actions';
